PUT api/Empresas/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
Required |
Body Parameters
EmpresaBindingModel| Name | Description | Type | Additional information |
|---|---|---|---|
| nombre | string |
Required String length: inclusive between 2 and 100 |
|
| direccion | string |
Required String length: inclusive between 2 and 100 |
|
| poblacion | string |
Required String length: inclusive between 2 and 45 |
|
| cp | string |
Required String length: inclusive between 5 and 5 |
|
| provincia | string |
Required String length: inclusive between 2 and 45 |
|
| nif | string |
Required String length: inclusive between 9 and 10 |
|
| contacto | string |
String length: inclusive between 0 and 45 |
|
| telef1 | string |
String length: inclusive between 0 and 15 |
|
| telef2 | string |
String length: inclusive between 0 and 15 |
|
| string |
Required Data type: EmailAddress |
||
| allowComms | integer |
None. |
Request Formats
application/json, text/json
{
"nombre": "sample string 1",
"direccion": "sample string 2",
"poblacion": "sample string 3",
"cp": "sample string 4",
"provincia": "sample string 5",
"nif": "sample string 6",
"contacto": "sample string 7",
"telef1": "sample string 8",
"telef2": "sample string 9",
"email": "sample string 10",
"allowComms": 1
}
application/xml, text/xml
<EmpresaBindingModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VendingAPI.Models"> <allowComms>1</allowComms> <contacto>sample string 7</contacto> <cp>sample string 4</cp> <direccion>sample string 2</direccion> <email>sample string 10</email> <nif>sample string 6</nif> <nombre>sample string 1</nombre> <poblacion>sample string 3</poblacion> <provincia>sample string 5</provincia> <telef1>sample string 8</telef1> <telef2>sample string 9</telef2> </EmpresaBindingModel>
application/x-www-form-urlencoded
Response Information
Resource Description
Empresa| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| nombre | string |
Required String length: inclusive between 0 and 100 |
|
| direccion | string |
Required String length: inclusive between 0 and 100 |
|
| poblacion | string |
Required String length: inclusive between 0 and 45 |
|
| cp | string |
Required String length: inclusive between 0 and 5 |
|
| provincia | string |
Required String length: inclusive between 0 and 45 |
|
| nif | string |
Required String length: inclusive between 0 and 10 |
|
| contacto | string |
String length: inclusive between 0 and 45 |
|
| telef1 | string |
String length: inclusive between 0 and 15 |
|
| telef2 | string |
String length: inclusive between 0 and 15 |
|
| string |
String length: inclusive between 0 and 100 |
||
| allowComms | integer |
Required |
|
| fechaAlta | date |
Required |
|
| fechaBaja | date |
None. |
|
| observs | string |
None. |
|
| serieFacturasMantenimiento | string |
String length: inclusive between 0 and 15 |
|
| numeroUltimaFraMantenimiento | integer |
None. |
|
| conceptoFraMantenimiento | string |
String length: inclusive between 0 and 125 |
|
| stockMinimoArticulo | integer |
None. |
|
| diasColchonPedido | decimal number |
None. |
|
| udsLoteRotacionMaxima | integer |
None. |
|
| udsLoteRotacionMedia | integer |
None. |
|
| udsLoteRotacionMinima | integer |
None. |
|
| umbralSobrestockSemanas | integer |
None. |
|
| devolverSobrestock | integer |
None. |
|
| bitronicLinkActive | integer |
None. |
|
| bitronicLinkKey | string |
None. |
|
| stratorLinkActive | integer |
None. |
|
| calendarWeekViewType | string |
String length: inclusive between 0 and 10 |
|
| status | integer |
None. |
|
| fechaInicioDemo | date |
None. |
|
| diasStockApalancado | integer |
None. |
|
| resaltarStockApalancado | integer |
None. |
Response Formats
application/json, text/json
{
"id": 1,
"nombre": "sample string 2",
"direccion": "sample string 3",
"poblacion": "sample string 4",
"cp": "sample string 5",
"provincia": "sample string 6",
"nif": "sample string 7",
"contacto": "sample string 8",
"telef1": "sample string 9",
"telef2": "sample string 10",
"email": "sample string 11",
"allowComms": 12,
"fechaAlta": "2026-06-29T05:14:27.2296535+03:00",
"fechaBaja": "2026-06-29T05:14:27.2296535+03:00",
"observs": "sample string 14",
"serieFacturasMantenimiento": "sample string 15",
"numeroUltimaFraMantenimiento": 16,
"conceptoFraMantenimiento": "sample string 17",
"stockMinimoArticulo": 18,
"diasColchonPedido": 19.0,
"udsLoteRotacionMaxima": 20,
"udsLoteRotacionMedia": 21,
"udsLoteRotacionMinima": 22,
"umbralSobrestockSemanas": 23,
"devolverSobrestock": 24,
"bitronicLinkActive": 25,
"bitronicLinkKey": "sample string 26",
"stratorLinkActive": 27,
"calendarWeekViewType": "sample string 28",
"status": 29,
"fechaInicioDemo": "2026-06-29T05:14:27.2296535+03:00",
"diasStockApalancado": 30,
"resaltarStockApalancado": 31
}